%define upstream_name	 Gtk2-ImageView
%define	upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 30

Summary:	Perl bindings to the GtkImageView image viewer widget
License:	LGPLv3+
Group:	  	Development/GNOME and GTK+
Url:		https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/R/RA/RATCLIFFE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Gtk2) >= 1.140
BuildRequires:	perl(ExtUtils::Depends) >= 0.2
BuildRequires:	perl(ExtUtils::PkgConfig) >= 1.03
BuildRequires:	perl(Glib) >= 1.140
BuildRequires:	pkgconfig(gtkimageview) >= 1.6.0
BuildRequires:	perl-devel

%description
Perl bindings to the GtkImageView image viewer widget
Find out more about GtkImageView at http://trac.bjourne.webfactional.com/.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
# fix build:
export PERL_USE_UNSAFE_INC=1
%{__perl} Makefile.PL INSTALLDIRS=vendor --default
%make_build

%install
%make_install

%files
%doc AUTHORS README META.yml
%{perl_vendorarch}/Gtk2/Gdk/Pixbuf/Draw/Cache.pod
%{perl_vendorarch}/Gtk2/ImageView.pm
%{perl_vendorarch}/Gtk2/ImageView.pod
%{perl_vendorarch}/Gtk2/ImageView
%{perl_vendorarch}/auto/Gtk2/ImageView/ImageView.so
%{_mandir}/man3/*


%changelog
* Fri Dec 01 2023 tv <tv> 0.50.0-30.mga10
+ Revision: 2012019
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.50.0-29.mga9
+ Revision: 1863257
- Rebuild for Perl 5.36

* Fri Apr 01 2022 umeabot <umeabot> 0.50.0-28.mga9
+ Revision: 1838625
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.50.0-27.mga9
+ Revision: 1727678
- Rebuild for perl 5.34

* Thu Jun 18 2020 tv <tv> 0.50.0-26.mga8
+ Revision: 1596448
- rebuild for perl-5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.50.0-25.mga8
+ Revision: 1529090
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tv <tv> 0.50.0-24.mga8
+ Revision: 1433087
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.50.0-23.mga7
+ Revision: 1293022
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.50.0-22.mga7
+ Revision: 1249407
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.50.0-21.mga7
+ Revision: 1164604
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.50.0-20.mga7
+ Revision: 1150099
- Rebuild for perl ABI changes
- Rebuild for perl ABI changes

* Sat Jul 22 2017 tv <tv> 0.50.0-18.mga7
+ Revision: 1128396
- fix build with perl 5.26
- rebuild for perl 5.26
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-15.mga6
+ Revision: 1028060
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.50.0-14.mga6
+ Revision: 957416
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.50.0-13.mga6
+ Revision: 844885
- rebuild for soname-ifed perl

* Tue Jun 23 2015 tv <tv> 0.50.0-12.mga6
+ Revision: 841187
- rebuild for perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-11.mga5
+ Revision: 745393
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-10.mga5
+ Revision: 684907
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.50.0-9.mga5
+ Revision: 632447
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.50.0-8.mga4
+ Revision: 524601
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.50.0-7.mga4
+ Revision: 431204
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-6.mga3
+ Revision: 367884
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.50.0-5.mga3
+ Revision: 250728
- rebuild for perl 5.16

* Sun Aug 28 2011 fwang <fwang> 0.50.0-4.mga2
+ Revision: 135823
- rebuild

* Sun Jun 12 2011 ahmad <ahmad> 0.50.0-3.mga2
+ Revision: 104458
- Rebuild for perl-5.14.0

* Mon Jan 24 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 36317
- mageia rebuild
- imported package perl-Gtk2-ImageView

